# List webhooks Endpoint: GET /v1/collections/webhooks Version: 1.0.0 Security: Bearer ## Query parameters: - `event_type` (string, required) Unique identifier event type to filter webhooks Enum: "WEBHOOK_CREATED", "WEBHOOK_UPDATED", "WEBHOOK_DELETED", "TRANSACTION_STATUS_CHANGED", "PARTNER_STATUS_CHANGED", "WALLET_ADDRESS_CREATED", "WALLET_ADDRESS_ROTATED", "SETTLEMENT_INITIATED", "SETTLEMENT_COMPLETED", "SETTLEMENT_FAILED", "CHANNEL_CREATED", "CHANNEL_ARCHIVED", "ACCOUNT_CREATED", "ACCOUNT_STATUS_CHANGED", "ACCOUNT_BALANCE_UPDATED" - `since` (string) ISO 8601 timestamp after webhook was created Example: "2025-06-17T12:00:00Z" - `until` (string) ISO 8601 timestamp before webhook was created Example: "2025-06-17T12:00:00Z" - `page` (integer) Page number (starts at 1) Example: 1 - `size` (integer) Page size (items per page) Example: 10 ## Response 200 fields (application/json): - `content` (array) - `content.id` (string, required) Unique identifier for the webhook. Example: "5c0d9ec9-5ad8-4a43-a1b4-6f8f1f6c4c10" - `content.event_type` (string, required) Event type for which a webhook can be created. Enum: "WEBHOOK_CREATED", "WEBHOOK_UPDATED", "WEBHOOK_DELETED", "TRANSACTION_STATUS_CHANGED", "PARTNER_STATUS_CHANGED", "WALLET_ADDRESS_CREATED", "WALLET_ADDRESS_ROTATED", "SETTLEMENT_INITIATED", "SETTLEMENT_COMPLETED", "SETTLEMENT_FAILED", "CHANNEL_CREATED", "CHANNEL_ARCHIVED", "ACCOUNT_CREATED", "ACCOUNT_STATUS_CHANGED", "ACCOUNT_BALANCE_UPDATED" - `content.callback_url` (string, required) HTTPS URL to which events will be sent. Example: "https://webhook.partner.example/webhooks" - `content.signature_verification_key` (string, required) Hex-encoded public key used to verify webhook signatures. Example: "04bfcabf3c3e5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8" - `page` (object) Pagination metadata. - `page.page` (integer, required) Example: 1 - `page.size` (integer, required) Example: 10 - `page.total_elements` (integer, required) Example: 100 - `page.total_pages` (integer, required) Example: 10 ## Response 400 fields (application/json): - `code` (string, required) Error code identifying the type of error - `reason` (string, required) Human-readable error message ## Response 401 fields (application/json): - `code` (string, required) Error code identifying the type of error - `reason` (string, required) Human-readable error message ## Response 500 fields (application/json): - `code` (string, required) Error code identifying the type of error - `reason` (string, required) Human-readable error message